{
  hardware.nvidia = {
    prime = {
      offload.enable = true;

      # Bus ID of the Intel GPU. You can find it using lspci, either under 3D or VGA
      intelBusId = "PCI:0:2:0";

      # Bus ID of the NVIDIA GPU. You can find it using lspci, either under 3D or VGA
      nvidiaBusId = "PCI:1:0:0";
    };
    modesetting.enable = true;
    powerManagement.finegrained = true;
    powerManagement.enable = true;
  };
  hardware.opengl.enable = true;
  hardware.opengl.driSupport32Bit = true;
  hardware.tuxedo-keyboard.enable = true;
  services.hardware.bolt.enable = true;
  services.auto-cpufreq.enable = true;
  services.tlp.enable = true;
  services.fstrim.enable = true;
}
